Decoder (Bitronix Transaction Manager :: Core 2.1.4 API)
Date: 2013-09-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bitronix.tm.utils
Class Decoder

    java.lang.Object
      bitronix.tm.utils.Decoder

    public class Decoder

extends Object

Constant to string decoder.

Author:
  lorban

Constructor Summary
`Decoder()`

Method Summary
`static String` | `collectResourcesNames(Collection<XAResourceHolderState> resources)` Create a String representation of a list of `XAResourceHolder`s.
`static String` | `decodeHeaderState(byte state)`
`static String` | `decodePrepareVote(int vote)`
`static String` | `decodeStatus(int status)`
`static String` | `decodeXAExceptionErrorCode(XAException ex)`
`static String` | `decodeXAResourceFlag(int flag)`
`static String` | `decodeXAStatefulHolderState(int state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Decoder

    public Decoder()

Method Detail

### decodeXAExceptionErrorCode

    public static String decodeXAExceptionErrorCode(XAException ex)

### decodeStatus

    public static String decodeStatus(int status)

### decodeXAResourceFlag

    public static String decodeXAResourceFlag(int flag)

### decodePrepareVote

    public static String decodePrepareVote(int vote)

### decodeHeaderState

    public static String decodeHeaderState(byte state)

### decodeXAStatefulHolderState

    public static String decodeXAStatefulHolderState(int state)

### collectResourcesNames

    public static String collectResourcesNames(Collection<XAResourceHolderState> resources)

  Create a String representation of a list of `XAResourceHolder`s. This String will contain each resource's unique name.

  Parameters:
    `resources` - a list of `XAResourceHolder`s.
  Returns:
    a String representation of the list.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Bitronix Software. All Rights Reserved.